Bug 219058 - System hangs after reboot from installation (for JMicron JMB363 Raid Controller)
System hangs after reboot from installation (for JMicron JMB363 Raid Controller)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Heinz Mauelshagen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-10 00:56 EST by Joseph Shi
Modified: 2011-05-14 12:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:09:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to help with jmicron raid device names (613 bytes, patch)
2007-04-18 16:25 EDT, Peter Jones
no flags Details | Diff

  None (edit)
Description Joseph Shi 2006-12-10 00:56:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322)

Description of problem:
Install Fedora 6 on Asus P5B-V motherboard with JMicron JMB363 Raid Driver configured for Raid I.  Installation proceeds normally.  Upon system reboot, system hangs with a blank screen.  Even the boot-loader message does not show up.

Upon further investigation, the problem is due to invalid RAID device specification when the name of the RAID is fewer than 16 characters.  For example, if the name of the RAID is JRAID, then Linux Fedora 6 will try to create device names such as 
   /dev/mapper/jmicron_JRAID           ^A 
   /dev/mapper/jmicron_JRAID           ^Ap1 
   /dev/mapper/jmicron_JRAID           ^Ap2 
Since there are spaces in the middle of the device names, Linux is not able to find the proper device at boot time.  When the name is filled up with full 16 characters, the problem goes away.  

Not sure whether the problem is caused by JMicron RAID utility or Fedora 6.  But JMicron recommends filing this issue to Fedora.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Create RAID I mirroring hard disks on BIOS.
2. Install Fedora 6.
3. Reboot on completion.

Actual Results:
Blank screen appears.

Expected Results:
Boot loader message followed by Linux startup messages.

Additional info:
Comment 1 Peter Jones 2006-12-13 14:27:14 EST
Heinz, this is dmraid producing raid volume names with bad data in them, isn't it?
Comment 2 Tim Watson 2007-03-26 04:15:34 EDT
I also have this problem using 2.6.20-1.2937.fc6 on a Gigabyte motherboard 
with a JMicron JMB363....

PCI: Device 0000:03:00.0 is not available because of resource collisions
JMB363: dma_base is invalid
JMB363: dma_base is invalid

I can however disable the JMicron controller and boot successfuly from the 
onboard Intel SATA controller.

The last kernel that didn't exhibit this problem was 2.6.18-1.2798.fc6
Comment 3 Peter Jones 2007-04-18 16:25:24 EDT
Created attachment 152949 [details]
patch to help with jmicron raid device names

justin@jmicron forwarded this patch from the ataraid list to fix this issue
Comment 4 Heinz Mauelshagen 2007-04-19 05:08:38 EDT
Patch reworked and added.
Comment 5 big_green_jelly_bean 2007-08-05 16:01:05 EDT
I have GREATLY narrowed down the issue...

I have a problem with the gigabyte GA-965G-DS3 with a software raid 5 array,
that has 4 drives.  3 of the drives are on the ICH8 southbridge SATA device, and
another is on the JMicron SATA device.  I get the array to work, build a vailid
mdadm.conf and can use the array all I want.  I can restart and then manually
mount it.

AS soon as I add it to the fstab config file, the array tries to start but
fails.  It seems to then do a number on my raid array, and takes me hours/days
to recover.  This has taken weeks of repeated rebuilds to figure out that the
problem exists ONLY when I use the fstab to mount the array.

My feeling is that the fstab is running before the drivers for the Micron Device
are loaded.  This leads to a raid array failure...  If this isnt the case, then
there is something wrong with the way this device is loaded when not done manually.
Comment 6 big_green_jelly_bean 2007-08-05 16:06:20 EDT
This is either the same issue or a bug.  BTW, after using the fstab to try and
load the device sde1 is no longer loaded... only sde... it appears that the
failure actually deletes the partition.  

I can run this raid array very reliable if it is not mounted by fstab.  I have a
huge 750w PSU (since I plan on adding more drives) and am running the latest
drivers.
Comment 7 big_green_jelly_bean 2007-08-05 16:07:56 EDT
I see it is listed as a fc6 issue.  I am running fc7, with the latest kernel...
Comment 8 Bug Zapper 2008-04-04 01:10:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 13:09:06 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.